Class | SOAP::SOAPExternalReference
In: | soap/baseData.rb
Parent: | XSD::NSDBase

### Methods

new referred refidstr

### Included Modules

SOAPBasetype

### Public Class methods

new()

[Source]

    # File soap/baseData.rb, line 179
      def initialize
        super()
        @type = XSD::QName::EMPTY
      end

### Public Instance methods

referred()

[Source]

    # File soap/baseData.rb, line 184
      def referred
        rootnode.external_content[external_contentid] = self
      end

refidstr()

[Source]

    # File soap/baseData.rb, line 188
      def refidstr
        'cid:' + external_contentid
      end

[Validate]